%define	module	SVN-Mirror
%define	name	perl-%{module}
%define version 0.66
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl modules to mirror remote subversion repositories to local ones
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLKAO/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl-SVK
BuildRequires:	perl-devel perl-SVN perl-URI perl-SVN-Simple perl-Class-Accessor
BuildRequires:	perl-YAML libsvn_fs_fs1_0 perl-SVK
# for test 
BuildRequires:  subversion-repos subversion 
BuildArch:	noarch

%define _requires_exceptions 'perl(VCP.*'

%description
SVN::Mirror allows you to mirror a remote repository to your local subversion
repository. It supports remote subversion and Git repositories.

%package -n	svm
Summary:	A tool to mirror a remote subversion repository
Group:		Development/Perl

%description -n	svm
svm (subversion mirror) is a command-line tool that allows you to mirror a
remote subversion repository on a local repository.

%prep
%setup -q -n %{module}-%{version}

%build
PERL_EXTUTILS_AUTOINSTALL=--skipdeps %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

cat > README.Mdv << EOF
This version was not built with VCP support (for CVS and Perforce mirroring)
since it requires to package too much other perl modules.
EOF
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README README.Mdv TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n svm
%defattr(-,root,root)
%doc README.Mdv
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.66-1mdk
- 0.66

* Tue Aug 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.65-1mdk
- 0.65

* Fri Jul 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.64-1mdk
- 0.64

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.63-1mdk
- 0.63

* Thu Jun 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.62-1mdk
- 0.62
- Rename README.Mdk to README.Mdv, add info in it.
- Improve description
- Require perl-SVK manually (for SVK::Util)

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.61-1mdk
- 0.61

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.60-1mdk
- 0.60

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.58-1mdk
- 0.58

* Tue Mar 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.57-1mdk
- 0.57

* Tue Mar 01 2005 Michael Scherer <misc@mandrake.org> 0.56-1mdk
- New release 0.56
- complete buildRequires

* Thu Feb 03 2005 Michael Scherer <misc@mandrake.org> 0.55-1mdk
- New release 0.55

* Tue Dec 21 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- New release 0.51
- Update summaries and descriptions

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.50-1mdk
- New release 0.50

* Wed Oct 20 2004 Michael Scherer <misc@mandrake.org> 0.49-1mdk
- New release 0.49
- BuildRequires

* Tue Oct  5 2004 Michael Scherer <misc@mandrake.org> 0.48-1mdk
- New release 0.48

* Fri Sep 24 2004 Michael Scherer <misc@mandrake.org> 0.47-1mdk
- New release 0.47

* Sat Sep 11 2004 Michael Scherer <misc@mandrake.org> 0.44-1mdk
- New release 0.44

* Mon Aug 23 2004 Michael Scherer <misc@mandrake.org> 0.43-1mdk
- New release 0.43

* Tue Aug 17 2004 Michael Scherer <misc@mandrake.org> 0.42-1mdk
- New release 0.42

* Thu Aug  5 2004 Michael Scherer <misc@mandrake.org> 0.40-1mdk
- New release 0.40

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.38-1mdk
- 0.38

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.37-1mdk
- New release 0.37

* Sat Jun 12 2004 Michael Scherer <misc@mandrake.org> 0.36-3mdk
- BuildRequires once again
 
* Sat Jun 05 2004 Michael Scherer <misc@mandrake.org> 0.36-2mdk 
- BuildRequires
- reenable test

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.36-1mdk
- 0.36
- skip test for now

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.35-1mdk
- New release 0.35

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.31-1mdk 
- First MandrakeSoft Package
